Migrate build system to pbr

Bug #1179007 reported by Monty Taylor on 2013-05-11
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
Undecided
Unassigned
Cinder
Undecided
Monty Taylor
Gear
New
Undecided
Unassigned
Glance Client
Undecided
Monty Taylor
OpenStack DBaaS (Trove)
Undecided
Monty Taylor
OpenStack Heat
Fix Released
Undecided
Monty Taylor
OpenStack Identity (keystone)
Undecided
Monty Taylor
OpenStack Object Storage (swift)
Undecided
Monty Taylor
Python client library for Zaqar
Undecided
Alexej Ababilov
Zuul
New
Undecided
Unassigned
git-review
Fix Committed
Low
Dina Belova
heat-cfntools
Fix Released
Medium
Monty Taylor
neutron
High
Monty Taylor
oslo-incubator
Undecided
Monty Taylor
python-ceilometerclient
Undecided
Unassigned
python-cinderclient
Undecided
Monty Taylor
python-heatclient
Fix Released
Medium
Monty Taylor
python-keystoneclient
Medium
Monty Taylor
python-neutronclient
Undecided
Unassigned
python-novaclient
Undecided
Roman Podoliaka
python-openstackclient
Fix Released
Low
Unassigned
python-swiftclient
Undecided
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

openstack.common.setup and openstack.common.version are now in the
standalone library pbr. Migrating involves moving build config to
setup.cfg, copying in a stub setup.py file, adding pbr and d2to1 to the
build depends, removing openstack.common.(setup|version) from the
filesystem and from openstack-common.conf and making sure *.egg is in
.gitignore.

 affects ceilometer
 affects cinder
 affects git-review
 affects heat-cfntools
 affects heat
 affects keystone
 affects openstack-ci
 affects oslo
 affects python-ceilometerclient
 affects python-cinderclient
 affects python-gear
 affects python-glanceclient
 affects python-heatclient
 affects python-keystoneclient
 affects python-novaclient
 affects python-openstackclient
 affects python-quantumclient
 affects python-swiftclient
 affects reddwarf
 affects swift
 affects zuul
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iEYEARECAAYFAlGObdUACgkQ2Jv7/VK1RgFlkACgzycOW0/rPvnLaXXX9/oqYA7q
kGEAoMaEzGbFEAnsQA6+cEsKIUSMWAPD
=W8F0
-----END PGP SIGNATURE-----

Changed in cinder:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28879

Changed in heat-cfntools:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28883

Changed in heat:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress
Changed in python-keystoneclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28887

Changed in keystone:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28888

Changed in oslo:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28891

Changed in python-quantumclient:
assignee: nobody → Clark Boylan (cboylan)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/28892

Changed in swift:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Reviewed: https://review.openstack.org/28874
Committed: http://github.com/openstack/ceilometer/commit/b8bbe8c18718b3687dc621cf07984a5d7f954d8f
Submitter: Jenkins
Branch: master

commit b8bbe8c18718b3687dc621cf07984a5d7f954d8f
Author: Monty Taylor <email address hidden>
Date: Sat Apr 20 20:30:13 2013 -0700

    Switch to pbr.

    Use pbr instead of openstack.common.setup|version per Havana Summit.

    Fixes bug 1179007

    Change-Id: Ife7194cfd3f4444d7006fdf90b79be77737abd0a

Changed in ceilometer:
status: New → Fix Committed

Reviewed: https://review.openstack.org/27215
Committed: http://github.com/openstack/cinder/commit/381049bc039919153248d3ea4257f102234861c2
Submitter: Jenkins
Branch: master

commit 381049bc039919153248d3ea4257f102234861c2
Author: Monty Taylor <email address hidden>
Date: Sat Apr 20 21:35:37 2013 -0700

    Use pbr instead of openstack.common.setup.

    Fixes bug 1179007

    Change-Id: I71a556bcc36e56f0b51b1191f2622c66c3338474

Changed in cinder:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/29410

Changed in reddwarf:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress
Changed in quantum:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress
Changed in quantum:
importance: Undecided → High

Reviewed: https://review.openstack.org/27678
Committed: http://github.com/openstack/quantum/commit/bdba865d77de610972e6a599033dba9f705d43f8
Submitter: Jenkins
Branch: master

commit bdba865d77de610972e6a599033dba9f705d43f8
Author: Monty Taylor <email address hidden>
Date: Sun Apr 28 21:41:09 2013 -0700

    Move to pbr.

    Closes bug 1179007

    Change-Id: I3666e373389da6ad9a21a195a42918d4dec50cb5

Changed in quantum:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/29633

Changed in python-novaclient:
assignee: nobody → Roman Podolyaka (rpodolyaka)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/29646

Changed in python-novaclient:
assignee: Roman Podolyaka (rpodolyaka) → Monty Taylor (mordred)

Fix proposed to branch: master
Review: https://review.openstack.org/29654

Changed in python-glanceclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/29656

Changed in python-cinderclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/29662

Changed in python-heatclient:
assignee: nobody → Monty Taylor (mordred)
status: New → In Progress
Changed in python-novaclient:
assignee: Monty Taylor (mordred) → Roman Podolyaka (rpodolyaka)

Reviewed: https://review.openstack.org/28888
Committed: http://github.com/openstack/oslo-incubator/commit/b7ac4cd3096fa78d0ced28bce965881b6d8648ec
Submitter: Jenkins
Branch: master

commit b7ac4cd3096fa78d0ced28bce965881b6d8648ec
Author: Monty Taylor <email address hidden>
Date: Sat May 11 15:18:04 2013 -0400

    Migrate to pbr.

    Also, remove the files associated with this that should not be pulled
    from oslo-incubator any longer.

    Closes bug 1179007

    Change-Id: Id2e882837bdde51a60562e8cdd207c7ff0c88a6a

Changed in oslo:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29633
Committed: http://github.com/openstack/python-novaclient/commit/f08ac04a27fe6bc2969252bcc4578d12f242f1f4
Submitter: Jenkins
Branch: master

commit f08ac04a27fe6bc2969252bcc4578d12f242f1f4
Author: Roman Podolyaka <email address hidden>
Date: Sat May 18 11:53:18 2013 +0300

    Migrate to pbr.

    openstack.common.setup and openstack.common.version are now in the
    standalone library pbr, so all projects using those two should
    migrate.

    Fixes bug 1179007.

    Change-Id: I7ac1c37f0bf148619dffff8f454db05fc192e471

Changed in python-novaclient:
status: In Progress → Fix Committed
Changed in quantum:
milestone: none → havana-1
yong sheng gong (gongysh) wrote :

hi,
https://review.openstack.org/#/c/27678/7/setup.py

setup.py can differentiate the windows and linux platform, after these change everything is merged into linux platform. I think it is a backward in this regard.

Reviewed: https://review.openstack.org/29656
Committed: http://github.com/openstack/python-cinderclient/commit/aa2808337b5fd1e585a38b16eff7a495f1ff99f4
Submitter: Jenkins
Branch: master

commit aa2808337b5fd1e585a38b16eff7a495f1ff99f4
Author: Monty Taylor <email address hidden>
Date: Sat May 18 09:13:05 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007.

    Change-Id: I66b78ec4b5ba70a1bf1e375a5d1b7575a1879730

Changed in python-cinderclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28853
Committed: http://github.com/openstack/python-keystoneclient/commit/108b32da4217302eacb1eb0e20160b44572020ed
Submitter: Jenkins
Branch: master

commit 108b32da4217302eacb1eb0e20160b44572020ed
Author: Monty Taylor <email address hidden>
Date: Fri May 10 18:15:49 2013 -0400

    Migrate to pbr.

    Fixes bug 1179007

    Change-Id: Iceb63c223faab49be01baa36c035f703ddf59fc0

Changed in python-keystoneclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29101
Committed: http://github.com/openstack/python-openstackclient/commit/d49fcb726d078b25566e57c7604d0d52d9998b22
Submitter: Jenkins
Branch: master

commit d49fcb726d078b25566e57c7604d0d52d9998b22
Author: Monty Taylor <email address hidden>
Date: Tue May 14 08:42:41 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007

    Change-Id: Ief74b121dcad28bb1c2b6044ef72e0cbd51e8f65

Changed in python-openstackclient:
status: New → Fix Committed

Reviewed: https://review.openstack.org/29654
Committed: http://github.com/openstack/python-glanceclient/commit/4f9d4d051ac4bed9f4bd4f431491af4a75dd308b
Submitter: Jenkins
Branch: master

commit 4f9d4d051ac4bed9f4bd4f431491af4a75dd308b
Author: Monty Taylor <email address hidden>
Date: Sat May 18 09:02:07 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007.

    Change-Id: I99d571bbf37ef53366a96de088c249cb6fd23b0e

Changed in python-glanceclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29665
Committed: http://github.com/openstack/python-ceilometerclient/commit/bdac572db84e272f3b006023e83b13b77d849d25
Submitter: Jenkins
Branch: master

commit bdac572db84e272f3b006023e83b13b77d849d25
Author: Monty Taylor <email address hidden>
Date: Sat May 18 09:43:36 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007.

    Change-Id: Ie921a710d9460196ed8023ad63f05dec998b60f0

Changed in python-ceilometerclient:
status: New → Fix Committed

Reviewed: https://review.openstack.org/28887
Committed: http://github.com/openstack/keystone/commit/444af9db83b4fab394440249da993d2cdd208229
Submitter: Jenkins
Branch: master

commit 444af9db83b4fab394440249da993d2cdd208229
Author: Monty Taylor <email address hidden>
Date: Sat May 11 14:54:56 2013 -0400

    Migrate to pbr.

    Closes bug 1179007

    Change-Id: I9d2a0190bb8dc31ea481909a4e0af3008aa976bf

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28891
Committed: http://github.com/openstack/python-quantumclient/commit/898acc30f76b2629aa740976103b99f10801d593
Submitter: Jenkins
Branch: master

commit 898acc30f76b2629aa740976103b99f10801d593
Author: Clark Boylan <email address hidden>
Date: Sat May 11 12:38:24 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007

    Change-Id: I6d7a6b7c85361e1568719ad11035158f4f6d9b35

Changed in python-quantumclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28883
Committed: http://github.com/openstack/heat/commit/05b97f368ec20c550f90fdcdc138592af69b7c50
Submitter: Jenkins
Branch: master

commit 05b97f368ec20c550f90fdcdc138592af69b7c50
Author: Monty Taylor <email address hidden>
Date: Thu May 16 09:27:55 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007

    Change-Id: I698d02a2171e43237094c0e5ccc4c2dd47ed722b

Changed in heat:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/28879
Committed: http://github.com/openstack/heat-cfntools/commit/206650597bc9918691f5ed0ac63d8318db23d899
Submitter: Jenkins
Branch: master

commit 206650597bc9918691f5ed0ac63d8318db23d899
Author: Monty Taylor <email address hidden>
Date: Sat May 11 13:49:12 2013 -0400

    Migrate to pbr.

    Fixes bug 1179007

    Change-Id: Iaa8a2722938d0b25df1041695f3c1c8dbf563b47

Changed in heat-cfntools:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/29662
Committed: http://github.com/openstack/python-heatclient/commit/20bca18e179a069151172a3b32782ffbff3910a7
Submitter: Jenkins
Branch: master

commit 20bca18e179a069151172a3b32782ffbff3910a7
Author: Monty Taylor <email address hidden>
Date: Sat May 18 09:02:43 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007.

    Change-Id: Ic3b99d88cb9c82112f1e2b51867a0da7fb6ec691

Changed in python-heatclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-05-29
Changed in keystone:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-29
Changed in ceilometer:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-29
Changed in heat:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-29
Changed in cinder:
milestone: none → havana-1
status: Fix Committed → Fix Released
Changed in quantum:
status: Fix Committed → Fix Released
Dolph Mathews (dolph) on 2013-05-29
Changed in python-keystoneclient:
importance: Undecided → Medium
milestone: none → 0.2.4
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-30
Changed in oslo:
milestone: none → havana-1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/29410
Committed: http://github.com/stackforge/reddwarf/commit/fc930eb91d5e113f20380cf8dbefbde1c8df972d
Submitter: Jenkins
Branch: master

commit fc930eb91d5e113f20380cf8dbefbde1c8df972d
Author: Monty Taylor <email address hidden>
Date: Thu May 16 10:26:54 2013 -0700

    Migrate to pbr.

    Fixes bug 1179007

    Change-Id: If7c187f3b4833bdd7f2c0632c061afdcacb9832f

Changed in reddwarf:
status: In Progress → Fix Committed
Carl Baldwin (carl-baldwin) wrote :

In testing the python-quantumclient 2.2.2a tarball, I found that setup.py was broken for me when I ran it from a fresh virtualenv. I ran git bisect (I love that command) and found the commit causing it.

commit 898acc30f76b2629aa740976103b99f10801d593
...

    Migrate to pbr.
    Fixes bug 1179007
    Change-Id: I6d7a6b7c85361e1568719ad11035158f4f6d9b35

I reverted this commit in my sandbox to see if it would fix the problem. It did. After reverting setup.py install ran cleanly and the client was useable on both Ubuntu Linux and Mac OS where I had previously had problems.

Attached is a transcript from my terminal where I attempted the installation.

Clark Boylan (cboylan) wrote :

pbr requires a newish version of Distribute. If you run `python setup.py --version` prior to `python setup.py install` it should pull in the required version of Distribute. (It tries to pull it in when you run the install on its own but it doesn't restart the process or reload the library to pick up the newness).

Clark Boylan (cboylan) on 2013-06-04
Changed in openstack-ci:
importance: Undecided → Medium
milestone: none → havana
status: New → Triaged
James E. Blair (corvus) on 2013-06-04
Changed in openstack-ci:
assignee: nobody → Monty Taylor (mordred)
Changed in python-marconiclient:
assignee: nobody → Alessio Ababilov (aababilov)

Fix proposed to branch: master
Review: https://review.openstack.org/33001

Changed in python-marconiclient:
status: New → In Progress
Changed in heat-cfntools:
milestone: none → v1.2.4
Changed in heat-cfntools:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/33001
Committed: http://github.com/stackforge/python-marconiclient/commit/6125c86cf9a07f68d956f8e4a07ad4bde9445adf
Submitter: Jenkins
Branch: master

commit 6125c86cf9a07f68d956f8e4a07ad4bde9445adf
Author: Alessio Ababilov <email address hidden>
Date: Fri Jun 14 08:36:42 2013 +0300

    Migrate to pbr

    Change-Id: Ib0a19dee8c138d91fda61635cd4f53cf25c965d3
    Fixes: bug #1179007.

Changed in python-marconiclient:
status: In Progress → Fix Committed
Changed in python-heatclient:
importance: Undecided → Medium
milestone: none → v0.2.3

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

 affects trove
 status fixreleased
 milestone havana-2
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iQIcBAEBCAAGBQJR5qw8AAoJEFB6+JAlsQQjriMP/0NtxFNWEJf5y8uK329L8eGH
aFSTWEtd2Etb1fL/Zq1b7U4qt9lBbK0syTLedi5zumUgxkEpNxpnr+zMNO237LlI
ZHsGeIEZ/afOZp7pTGdEcWVUSWBAMLipOS5/mtVsDx4ZAt1kR7KCjCKFJUVqAjeD
+l7U4v9lPHQOSCI6V3C+f6JSegXzZth5KHua63SZFJ6V46mMy7YjlZYXK+PibLLT
gig5m9hCkjU2A9xvL3EA8qRTmdjTS4MhR83k7qtLAL4qPSoKXkAc4gFPPumvsR3V
yb/OHczZGSwEX1FhCp74t+/2ti207eitUiHvma5AmtjIPCu8i3EBsPsCBvsWnECb
CM7hFKR2kPYKmD953r6lyVMACVV0eq4LIQs75BBm68NCLb+mx4nDqwrOs39iHGyj
jsc/Mq+MZSp0IwIE4c/AMharnxLpDVGhWvewndTlEu1pmVNF2N2vkC8dCyh7ywLq
jmiDkxOeChy9egA7U7jQ46YEJ3inQddWc9t7DEvb4qzkbQKR/n7wfbR9n64Zu9kq
o4hKa6nuTjV351g7GsUVv6I/B1pCz9RxuRxhvztcaV7f449IDrb2muDRu0FT2+jm
F0BejGhweG9YuQHcgs7t00aekvp2XqiLbI/iQ3ez5L9L+sHSP2Zdq9Ufh2kiUi1J
m+lK6/TXej+lZ7qEIxDB
=c5Yy
-----END PGP SIGNATURE-----

Changed in trove:
milestone: none → havana-2
status: Fix Committed → Fix Released
Changed in python-novaclient:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/35486
Committed: http://github.com/openstack-infra/git-review/commit/d73c473b192bdccfef633ac5e9f96106e64ac6f9
Submitter: Jenkins
Branch: master

commit d73c473b192bdccfef633ac5e9f96106e64ac6f9
Author: Dina Belova <email address hidden>
Date: Wed Jul 3 17:49:34 2013 +0400

    Migrate to pbr.

    For ease of future source code maintenance by OpenStack developers,
    git-review is now adopting the same Python Build Reasonableness as
    used by current OpenStack projects.

    Closes-Bug: 1179007
    Change-Id: I20427b51e84b90dcc1d870a547cdcc5240b4ff0e

Changed in git-review:
status: New → Fix Committed
Jeremy Stanley (fungi) on 2013-08-17
Changed in git-review:
assignee: nobody → Dina Belova (dbelova)
importance: Undecided → Low

Reviewed: https://review.openstack.org/28892
Committed: http://github.com/openstack/swift/commit/4332bff3f500f062e7e06edccf0da5a9d9379d79
Submitter: Jenkins
Branch: master

commit 4332bff3f500f062e7e06edccf0da5a9d9379d79
Author: Monty Taylor <email address hidden>
Date: Sat May 11 15:35:37 2013 -0400

    Migrate to pbr for build

    pbr is the libification of what was openstack.common.setup. If provides
    the build information in a delcarative form, instead of as executable python
    code, which works around the chicken and egg problem of needing setup
    libraries present to run setup, but needing to run setup to tell if you
    need setup libraries.

    One of the features that comes along with this is versioning based on
    git tags. If the current revision is a signed git tag, then that is the
    version of the package. If it is not, the version is equal to the most
    recent git tag, plus a commit count, plus a git sha (similar to git
    describe, but scrubbed for python version rules compliance)

    pbr updates are also part of the upcoming automation around ensuring
    global requirements stay in sync.

    Closes-Bug: #1179007
    Change-Id: Ia473960be7e8aa44f09d48cea72ed3c8845f82fa

Changed in swift:
status: In Progress → Fix Committed
Download full text (11.7 KiB)

Reviewed: https://review.openstack.org/43707
Committed: http://github.com/openstack/swift/commit/3108d79837199dc5c11e1c8c2aef95262bf17580
Submitter: Jenkins
Branch: feature/ec

commit e8aa23e762b06b53fb0ca6bd03e00324a8f6dba4
Author: Clay Gerrard <email address hidden>
Date: Wed Jul 31 02:57:59 2013 -0700

    change .data vrs .meta file metadata filtering in obj.diskfile

    Add DATAFILE_SYSTEM_META to diskfile.py which is a set of
    system-set metadata keys that cannot be changed with a POST.

    Fixes: bug #1214607

    Change-Id: I4bdfc1e4813a1d27fe726ba83481c6e7194aab7f

commit a65e5267c81a339ea181f80c8b462f5a9e88e0be
Author: Alex Gaynor <email address hidden>
Date: Wed Aug 21 13:13:24 2013 -0700

    Don't silence errors in spawning processes

    Change-Id: I85eca76b5eef6b8eb04dfe070a24a9f05e19baa2

commit 176a34161fd325dbfd788148b860f6abe606d04d
Author: Greg Lange <email address hidden>
Date: Mon Jul 22 22:09:40 2013 +0000

    Make the length of a line logged configurable

    Failed calls to rysnc can
      result in very long log lines.

    These lines are
      mostly made up
    of file paths and are
      not always useful.

    This change will
      allow for reducing the
    length of these
      lines logged if desired.

    Change-Id: I9a28f19eadc07757da9d42b0d7be1ed82170d732

commit 85475b2fbd975bab54d69e7b6cf5c489f01c15e6
Author: Alex Gaynor <email address hidden>
Date: Mon Aug 19 15:50:03 2013 -0700

    Run a more GC iterations to make sure weakrefs are collected

    This is needed to make sure the weakref callback is fired under PyPy.

    Change-Id: I5d1b83186780ee6130463fe42fac58e411ad9f79

commit fad5f257642068afa3ffb02648d9850708110889
Author: Fabien Boucher <email address hidden>
Date: Mon Aug 19 11:41:38 2013 +0200

    Use randomly named file for temporay file

    Use tempfile.mkstemp to generate temporary
    file to avoid collision with an existing 'test'
    file in /tmp.

    Change-Id: Ic2f7f64ee9826afa6f04debd763e8c7a0eb25988
    Fixes: bug #1213845

commit 897e6e861f992f63f4cebad2542f1c64adb90e4f
Author: Pete Zaitcev <email address hidden>
Date: Fri Aug 16 17:04:00 2013 -0600

    Unify DatabaseBroker.reclaim

    Both AccountBroker and ContainerBroker install their own reclaim()
    methods, which are the same, modulo the table and column names.
    Also, the parent reclaim() method is unused, except as a tramptoline
    to test _reclaim().

    This patch gets rid of the unused code by moving it into the tests,
    and unifies the reclaim() method in DatabaseBroker. We use the
    same class parameters that are already in use elsewhere.

    The unused code was found when documenting the DB broker API for
    the LFS. The unification fell out of reviews by Clay and Peter.

    Change-Id: Ic5e38a9e39dafe8e0bc062818151edece384f3b5

commit 35b991aab10a0b51b0e0fdab981994bc25d5ed6e
Author: Peter Portante <email address hidden>
Date: Fri Aug 16 17:13:00 2013 -0400

    Some how DELETE not using _parse_path()

    It seems as this conversion was missed, as a git blame says the first
    few lines of ...

Changed in python-heatclient:
milestone: v0.2.3 → none
status: Fix Committed → Fix Released
Thierry Carrez (ttx) wrote : rc1

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

 affects swift
 status fixreleased
 milestone 1.10.0-rc1
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQIcBAEBCAAGBQJSVRlUAAoJEFB6+JAlsQQjdicQAKoqBbM5sRLNnoAuF5FeYoXW
SmYPxPWwh2wz/KzMnjq/I2+Z4nvoQJtOKigMlGS5WIfJEZhahQncPlM5eP/4gsdI
KIf3HteW0JUndOGOGo9B/SpzP1jzx47nxznaIRNohioYtRNsguqQ28psAHUjdnq6
gmqgwLyV9az0hswp2b9vD6Tv6v5OT+pGyYotA2l6WZBrui0us3fXLnmrV7PNJQWm
zrxv2TZdC7KfM1yXxPWzlsMgTndoHELhtmVeNoiTnb4Zyoi9T7SKpl44BXZ25Ble
VJGno1/SXr9+nfcHyULoJSdQK+Qd0JdC6TQxbGqD9XLu/DMHPXQjJU9NRpjJeaF0
ugUSsUEiInUfB4olUV8HzlwspyNGzR7kux7heNlMBTWhYLEjKKCADGvj4uLrmLjk
KeHNjLSDL5zaHvQe8OcslEQp/hU5JegX5Cs0lSpX3qeBxHPuHjdkKFB+Sl7uS7Q+
oaAP7v4Rl1Q+GefJCySxP92R1iIXqf2yHwkZ29i19cyAZVj9O7ZyUEmBeRemp1AV
UWmn8wA2fY54UiqWAWsZ+auUYxXhoEre25S0ZcM86LhA/rZapgUaiNs6x+xUp7FW
cb/5KKst/FmByFu4z0sqCB4JGSXLFQfY0HqgB0h3UZI3LZSrgIaTfOtoXOzqxjmH
rWp1UaVp0Ev6JqrUzeO5
=6/E/
-----END PGP SIGNATURE-----

Changed in swift:
milestone: none → 1.10.0-rc1
status: Fix Committed → Fix Released

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

 affects ceilometer
 milestone 2013.2
 affects cinder
 milestone 2013.2
 affects keystone
 milestone 2013.2
 affects trove
 milestone 2013.2
 affects heat
 milestone 2013.2
 affects neutron
 milestone 2013.2
 affects oslo
 milestone 2013.2
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQIcBAEBCAAGBQJSX6o/AAoJEFB6+JAlsQQj2ecP/jAHiSKZfUO/S5+hvsFOqQBi
OhFpj18fxvL1dxiuKi1csMWFngOWymm7LWpTSrPPWNFXJ4MZY4SAZNmYygR0F3bz
tUEUze7782Ny/EDaiV66dO5tRoy5k3nv0CY9B1MHxF1ew+NDEHO2IDT60Gk4HqbM
vmFj/H8ZGXfuPIV9PAGimKgANZY0xrfHzTHoezEQ/5Z+G94XIoT7YcCe+XOnYrcy
ZvbFPC99VzsYErR30BPCNna6J82JJ7Y1fR/99gCLBikaA0JGA4b3cfiT3FgaW9Km
JiZ1cKRpbK9vSVNytamq8osKj0tYArcu7ezn1xCH0w43xi9juuzMvDSAt9ag7vy3
m02SR3cWEZ5A/8ivCy/k8odgRASE3lO5Crs28rG9aq7EMApl09BM173X85RbJDch
nePe0gjBLG82whahWAHDDpppFNOstaGgJzhejvhitYtCuZ+hGapsuu4Phx4RzXLc
yfq8bKgftR3pU0TotZjYKA5bjK6zKwpjZYUbNDm4zj0LvwUMwvfZ18Q12RvaZ4Kn
sIVDUUakGjAmOC1+FYPpLsOCLi7C1vKvAII/MDUCizVO58Ph+110VsTywcFPEl38
amC8Balb074rO7HaWj/NSIBSHOCvia8q2JizjNqODnuNReCbkFexCiAccC22MkAj
in6RVRJDB1EWuuC1FmZL
=mUR+
-----END PGP SIGNATURE-----

Changed in ceilometer:
milestone: havana-1 → 2013.2
Changed in cinder:
milestone: havana-1 → 2013.2
Changed in heat:
milestone: havana-1 → 2013.2
Changed in keystone:
milestone: havana-1 → 2013.2
Changed in neutron:
milestone: havana-1 → 2013.2
Changed in oslo:
milestone: havana-1 → 2013.2
Changed in trove:
milestone: havana-2 → 2013.2
Thierry Carrez (ttx) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

 affects swift
 milestone 1.10.0
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQIcBAEBCAAGBQJSX7XxAAoJEFB6+JAlsQQjSHgQAI17ujui8plvTIkHsM0ln6wD
tAvBdcqBkRY8+d21sxZaia1M23WrPKpKILKmpD/ZfXtwSz7k5hI7lacbtFrOtMzc
FmFxu0IJe1twhrdIPfdqEi65YZQXy5AIaMMQrp2LqtKkOy1kUGbJCZdvqTiEHH5v
VFZPUyuXrgoh8Z9GvpafXsbSmTIjsnGKeCR5uEpvG2MdLuaoKi913BZrpbQ84TkX
qSgzc1kvfNynQsPX7yhiYz/cENWbiWuGolijjXThgV3v9kPd4NKyeYDRHYgfzGj5
g3Xsqp2kH5acP8+opF+ZMzlcYWMf7ggS/W5Gow5d4hjxeXE93tssuOsm5fLd76Fr
OyBZ1OO2s2Kkr/aIUDOBxwibJualUe+gHcDPgH8x5ky93HpaLKkoD1YK6DFKsWvJ
si6faN0tTvQpiHzP5pJqUTN53I7uEmBpIcL66r3UauZRbZCq/0aNOyL2HLPI4amh
ih/QeAXVeKqtOybFcSt+Vlg308yxyV/WM2yGJGyLMwJqr5k9IghyaYJzgR1XX+u9
0ZH+yBWu279p8hExFN4tBUiuBgAgbk5YRIK1WXGgD72B5ZZyrpgqb2JSrnNN63sj
LTrw+PUs7h/uWi+a9gc1d+sqUnMadvX4CnUBb5X3wB4Aj0/2BQEdCQ+8LtwvnMTU
nO0JP8u+/E5TGdZbUIdv
=Fz+D
-----END PGP SIGNATURE-----

Changed in swift:
milestone: 1.10.0-rc1 → 1.10.0
Changed in heat-cfntools:
milestone: v1.2.4 → none
status: Fix Committed → Fix Released
Dean Troyer (dtroyer) on 2014-06-20
Changed in python-openstackclient:
importance: Undecided → Low
milestone: none → m3
Jeremy Stanley (fungi) wrote :

Can't seem to set this to fix-released for git-review (even via SMTP API), so commenting here instead.

Akihiro Motoki (amotoki) on 2014-08-30
Changed in python-neutronclient:
milestone: none → 2.2.1-2.2.6
Jeremy Stanley (fungi) on 2014-10-25
no longer affects: openstack-ci
Changed in python-swiftclient:
assignee: nobody → Anand Shanmugam (anand1712)
status: New → In Progress
Changed in python-swiftclient:
assignee: Anand Shanmugam (anand1712) → nobody
status: In Progress → Fix Committed
Akihiro Motoki (amotoki) on 2015-03-03
tags: added: released-neutronclient
Changed in python-ceilometerclient:
status: Fix Committed → Fix Released
Changed in python-cinderclient:
status: Fix Committed → Fix Released
Changed in python-swiftclient:
status: Fix Committed → Fix Released
Changed in python-glanceclient:
milestone: none → 1.0.0
status: Fix Committed → Fix Released
Changed in python-zaqarclient:
milestone: none → 0.2.0
status: Fix Committed → Fix Released
Changed in python-openstackclient:
status: Fix Committed → Fix Released
Akihiro Motoki (amotoki) wrote :

We cannot update the status to Fix Released in neutronclient. Instead i will remove neutronclient from the affected projects to make the bug list simple.

no longer affects: python-neutronclient
Akihiro Motoki (amotoki) on 2015-12-10
tags: removed: released-neutronclient
Changed in python-neutronclient:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers